- 3.23.0 (latest)
- 3.22.0
- 3.21.0
- 3.20.0
- 3.19.0
- 3.18.0
- 3.17.0
- 3.16.0
- 3.15.0
- 3.14.0
- 3.13.0
- 3.12.0
- 3.11.0
- 3.10.0
- 3.9.0
- 3.8.0
- 3.7.0
- 3.6.0
- 3.5.0
- 3.4.0
- 3.3.0
- 3.2.0
- 3.1.0
- 3.0.0
- 2.17.0
- 2.16.0
- 2.15.0
- 2.14.0
- 2.13.0
- 2.12.0
- 2.11.0
- 2.10.0
- 2.9.0
- 2.8.0
- 2.7.0
- 2.6.0
- 2.5.0
- 2.4.0
- 2.3.0
- 2.2.0
- 2.1.0
- 2.0.0
- 1.4.0
- 1.3.0
- 1.2.0
- 1.1.0
- 1.0.0
public sealed class RegionInstanceGroupManagersListErrorsResponse : IMessage<RegionInstanceGroupManagersListErrorsResponse>, IEquatable<RegionInstanceGroupManagersListErrorsResponse>, IDeepCloneable<RegionInstanceGroupManagersListErrorsResponse>, IBufferMessage, IMessage, IPageResponse<InstanceManagedByIgmError>, IEnumerable<InstanceManagedByIgmError>, IEnumerableImplements
IMessageRegionInstanceGroupManagersListErrorsResponse, IEquatableRegionInstanceGroupManagersListErrorsResponse, IDeepCloneableRegionInstanceGroupManagersListErrorsResponse, IBufferMessage, IMessage, IPageResponseInstanceManagedByIgmError, IEnumerableInstanceManagedByIgmError, IEnumerableNamespace
Google.Cloud.Compute.V1Assembly
Google.Cloud.Compute.V1.dll
Constructors
RegionInstanceGroupManagersListErrorsResponse()
public RegionInstanceGroupManagersListErrorsResponse()RegionInstanceGroupManagersListErrorsResponse(RegionInstanceGroupManagersListErrorsResponse)
public RegionInstanceGroupManagersListErrorsResponse(RegionInstanceGroupManagersListErrorsResponse other)| Parameter | |
|---|---|
| Name | Description |
other |
RegionInstanceGroupManagersListErrorsResponse |
Properties
HasNextPageToken
public bool HasNextPageToken { get; }Gets whether the "next_page_token" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
Items
public RepeatedField<InstanceManagedByIgmError> Items { get; }[Output Only] The list of errors of the managed instance group.
| Property Value | |
|---|---|
| Type | Description |
RepeatedFieldInstanceManagedByIgmError |
|
NextPageToken
public string NextPageToken { get; set; }Output only. [Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
| Property Value | |
|---|---|
| Type | Description |
string |
|
Methods
GetEnumerator()
public IEnumerator<InstanceManagedByIgmError> GetEnumerator()Returns an enumerator that iterates through the resources in this response.
| Returns | |
|---|---|
| Type | Description |
IEnumeratorInstanceManagedByIgmError |
|